## deken 0.1

=== requirements.txt ===
hy==0.11.0
easywebdav==1.2.0
pyelftools==0.23
macholib==1.7
python-gnupg==0.3.7
keyring==4.0

=== debian/changelog ===
deken (0.1-2) unstable; urgency=medium

  * Removed duplicate documentation
  * debian/control:
    - Fixed typo in long description
    - Itemization in long description
    - Clarify that packages might be installed from a 3rd party website

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 27 Aug 2015 11:37:49 +0200

deken (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #788075)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 31 Jul 2015 21:41:40 +0200

=== debian/control ===
Source: deken
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper (>= 9~),
 dh-buildinfo,
 help2man,
 python-hy,
 python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/pure-data/deken
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/deken
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/deken.git

Package: pd-deken
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata-gui,
 gksu
Suggests: deken
Description: Externals wrangler for Pure Data
 deken is a simple and easy to use package manager for Pure Data (Pd).
 .
 The deken-plugin integrates with the Pd user interface, where you can search
 for externals and install them with a single click.
 .
 Available backends that provide packages are:
  - apt (installs Pd packages the Debian way)
  - puredata.info (downloads packages via the Pure Data community website and
    installs them into the per-user installation directory (~/pd-externals))

Package: deken
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends},
 python-hy,
 python-easywebdav,
 python-pyelftools,
 python-macholib,
 python-keyring,
 python-gnupg
Recommends: pd-deken
Description: Externals wrangler for Pure Data - upload utility
 deken is a simple and easy to use package manager for Pure Data (Pd).
 .
 This package provides a command line tool that facilitates the creation
 and upload of your own packages to the official repository puredata.info

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@


override_dh_auto_build:
	dh_auto_build
	help2man -N -n "Externals wrangler for Pure Data" debian/help2man/deken > debian/deken.1

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/deken.1

## deken 0.2.1

=== developer/requirements.txt ===
hy==0.11.0
easywebdav==1.2.0
pyelftools==0.23
macholib==1.7
python-gnupg==0.3.7
keyring==4.0
ndg_httpsclient==0.4.0
pyasn1==0.1.9
pyOpenSSL==0.15.1

=== debian/changelog ===
deken (0.2.1-1) unstable; urgency=medium

  * Imported Upstream version 0.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Jun 2016 20:54:51 +0200

deken (0.2-1) unstable; urgency=medium

  * Imported Upstream version 0.2
    * Refreshed patches
    * Refreshed source paths for installation
  * Split out pd-deken-apt package
    * Depend on policykit-1 rather than gksu (Closes: #822597)
    * Depend on pd-deken | pd-gui >= 0.47
  * Updatedr description for "deken"
  * Fixed permissions of hy-scripts
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script (documented in debian/README.source)
  * Bumped standards to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 May 2016 16:30:29 +0200

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,43 @@
  help2man,
  python-hy,
  python-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/pure-data/deken
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/deken
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/deken.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/deken.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/deken.git
 
 Package: pd-deken
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends},
- puredata-gui,
- gksu
+ puredata-gui
+Recommends: pd-deken-apt
 Suggests: deken
 Description: Externals wrangler for Pure Data
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .
  The deken-plugin integrates with the Pd user interface, where you can search
  for externals and install them with a single click.
+ Since Pd-0.47, the deken-plugin is integrated into Pure Data (but the Debian
+ package provides an updated plugin)
  .
  Available backends that provide packages are:
-  - apt (installs Pd packages the Debian way)
   - puredata.info (downloads packages via the Pure Data community website and
     installs them into the per-user installation directory (~/pd-externals))
+  - apt (installs Pd packages the Debian way; packaged as "pd-deken-apt")
+
+Package: pd-deken-apt
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ puredata-gui (>= 0.47) | pd-deken
+Description: Externals wrangler for Pure Data (APT backend)
+ deken is a simple and easy to use package manager for Pure Data (Pd).
+ .
+ The deken-plugin integrates with the Pd user interface, where you can search
+ for externals and install them with a single click.
+ .
+ This addon allows one to additionally use 'apt' for installing Debian provided
+ packages from within the deken-plugin (rather than downloading binaries from
+ the Pure Data community website).
 
 Package: deken
 Architecture: all
@@ -44,4 +60,5 @@
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .
  This package provides a command line tool that facilitates the creation
- and upload of your own packages to the official repository puredata.info
+ and upload of your own packages to the official package repository
+ puredata.info.

## deken 0.2.6

=== developer/requirements.txt ===
hy==0.12.1
easywebdav==1.2.0
pyelftools==0.24
macholib==1.8
python-gnupg==0.4.1
keyring==10.4.0
ndg_httpsclient==0.4.3
pyasn1==0.1.9
pyOpenSSL==16.2.0

=== debian/changelog ===
deken (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6
    * Refreshed patches
  * Use hy(3) for manpage generation
  * Set Multi-Arch:foreign
  * Bumped standards to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 14 Jan 2018 21:27:34 +0100

deken (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5
    * Refreshed patches
  * Patch to make the deken cmdline tool display the correct version
  * Switched to hy3
    * Added python3-requests to Dependencies
  * Added Recommends to pd-deken:
    - 'tcllib' for proxy support
    - 'tcl-tls' for https:// support
  * Have deken install the dev README
  * Bumped dh compat to 9
  * Bumped standards version to 4.1.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Oct 2017 11:46:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,27 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
-Build-Depends: debhelper (>= 9~),
+Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends:
+ debhelper (>= 9~),
  dh-buildinfo,
  help2man,
- python-hy,
- python-setuptools
-Standards-Version: 3.9.8
+ hy,
+ python3-setuptools,
+Standards-Version: 4.1.3
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/deken.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/deken.git
 
 Package: pd-deken
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
- puredata-gui
-Recommends: pd-deken-apt
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+ puredata-gui,
+Recommends:
+ pd-deken-apt,
+ tcllib,
+ tcl-tls,
 Suggests: deken
 Description: Externals wrangler for Pure Data
  deken is a simple and easy to use package manager for Pure Data (Pd).
@@ -34,8 +39,8 @@
 
 Package: pd-deken-apt
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
- puredata-gui (>= 0.47) | pd-deken
+Depends: ${misc:Depends},
+ puredata-gui (>= 0.47) | pd-deken,
 Description: Externals wrangler for Pure Data (APT backend)
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .
@@ -48,14 +53,16 @@
 
 Package: deken
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends},
- python-hy,
- python-easywebdav,
- python-pyelftools,
- python-macholib,
- python-keyring,
- python-gnupg
-Recommends: pd-deken
+Depends: ${misc:Depends},
+ python3-hy,
+ python3-easywebdav,
+ python3-gnupg,
+ python3-keyring,
+ python3-macholib,
+ python3-pyelftools,
+ python3-requests,
+Recommends:
+ pd-deken,
 Description: Externals wrangler for Pure Data - upload utility
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf debian/deken.1
+
+override_dh_fixperms:
+	dh_fixperms
+	find debian/deken/ -type f -name "*.hy" -exec chmod a+x {} \;

## deken 0.5.0

=== developer/requirements.txt ===
hy==0.14.0
easywebdav2==1.3.0
pyelftools==0.24
macholib==1.9
pefile==2017.11.5
python-gnupg==0.4.1
keyring==10.6.0
ndg_httpsclient==0.4.3
pyasn1==0.1.9
pyOpenSSL==16.2.0

=== debian/changelog ===
deken (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
    * Dropped debian/patches/
  * Marked packages as multi-arch:foreign
  * Installed README.plugin.txt
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 05 Jun 2018 21:48:15 +0200

deken (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
    * Refreshed patches

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 05 Apr 2018 13:25:31 +0200

deken (0.4.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.4.0
    * Refreshed patches
    * Updated dependencies
  * Updated maintainer address

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Mar 2018 20:07:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: deken
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper (>= 9~),
  dh-buildinfo,
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/pure-data/deken
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/deken.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/deken.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/deken
 
 Package: pd-deken
 Architecture: all
@@ -39,6 +40,7 @@
 
 Package: pd-deken-apt
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  puredata-gui (>= 0.47) | pd-deken,
 Description: Externals wrangler for Pure Data (APT backend)
@@ -53,12 +55,14 @@
 
 Package: deken
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
  python3-hy,
  python3-easywebdav,
  python3-gnupg,
  python3-keyring,
  python3-macholib,
+ python3-pefile,
  python3-pyelftools,
  python3-requests,
 Recommends:

## deken 0.5.1

=== developer/requirements.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 keyring==10.6.0
 ndg_httpsclient==0.4.3
 pyasn1==0.1.9
-pyOpenSSL==16.2.0
+pyopenssl==17.5.0

=== debian/changelog ===
deken (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1

  * Created static manpage
    * Stop generating manpage on the fly
  * Bumped dh compat to 12
  * Bumped standards version to 4.3.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 04 Feb 2019 21:00:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper (>= 12~),
  dh-buildinfo,
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/deken

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@


debian/deken.1:
	help2man -N -n "Externals wrangler for Pure Data" debian/help2man/deken > $@

override_dh_auto_clean:
	dh_auto_clean

override_dh_fixperms:
	dh_fixperms
	find debian/deken/ -type f -name "*.hy" -exec chmod a+x {} \;

## deken 0.6.0

=== Makefile ===
default:
	@echo "make dek:	build a legacy deken-package for the deken-plugin"

plugin_version := $(shell egrep "^if.*::deken::versioncheck" deken-plugin.tcl  | sed -e 's| *].*||' -e 's|.* ||')

dek: deken-plugin-$(plugin_version)--externals.zip

.PHONY: dek deken-plugin
deken-plugin: deken-plugin.tcl README.plugin.txt LICENSE.txt
	rm -rf $@
	mkdir -p $@
	cp $^ $@
	mv $@/README.plugin.txt $@/README.txt

deken-plugin-$(plugin_version)--externals.zip: deken-plugin
	deken package --dekformat=0 --version=$(plugin_version) $^

=== developer/requirements.txt ===
hy==0.17.0
easywebdav2==1.3.0
pyelftools==0.25
macholib==1.11
pefile==2019.4.18
python-gnupg==0.4.5
keyring==18.0.1
ndg_httpsclient==0.5.1
pyasn1==0.4.2
pyopenssl==19.0.0

=== debian/changelog ===
deken (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0 (Closes: #941017)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * Bump Standards-Version to 4.4.0

  [ IOhannes m zmölnig ]
  * Add versioned dependency on hy>=0.17
  * Regenerate manpage
    * Fix path in help2man helperscript
  * Remove obsolete d/source/local-options

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Oct 2019 15:16:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 12),
  dh-buildinfo,
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/deken
@@ -57,7 +57,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
- python3-hy,
+ python3-hy (>= 0.17),
  python3-easywebdav,
  python3-gnupg,
  python3-keyring,

=== debian/watch ===
# process this file with uscan(1)
version=3
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/deken-$1\.tar\.gz/ \
  https://github.com/pure-data/deken/tags .*/v?(\d\S*)\.tar\.gz

## deken 0.8.0

=== developer/requirements.txt ===
hy~=0.19
easywebdav2~=1.3
pyelftools~=0.26
macholib~=1.14
pefile==2019.4.18
python-gnupg~=0.4
keyring~=21.4
ndg_httpsclient==0.5.1
pyasn1~=0.4
pyopenssl~=19.1

## deken 0.9.2

=== developer/requirements.txt ===
hy~=1.0a4
easywebdav2~=1.3
pyelftools~=0.28
macholib~=1.16
pefile~=2021.9
python-gnupg~=0.4
keyring~=23.5
pyasn1~=0.4

=== debian/changelog ===
deken (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
    - Refresh patch
  * Drop redundant information (not needed in Debian) from requirements

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 01 Jun 2022 12:54:39 +0200

deken (0.9-1) unstable; urgency=medium

  * New upstream version 0.9

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop hy-dependency for now
    (use a virtualenv-based per-user installation instead)
  * Switch to using 'execute_after_dh_*'
  * Drop useless override
  * Update debian/deken.1 manpage
  * Apply "warp-and-sort -ast"
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 May 2022 15:32:13 +0200

deken (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Drop plugin-config.md from docs (removed upstream)
  * Add autopkgtests
  * Fix globbing in d/copyright
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Bump d/watch standard
  * Bump dh-compat to 13
  * Bump standards version to 4.5.1

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 22 Aug 2021 23:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-buildinfo,
  help2man,
- hy,
+# hy,
  python3-setuptools,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/deken
@@ -18,13 +19,15 @@
 Package: pd-deken
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends:
  puredata-gui,
+ ${misc:Depends},
 Recommends:
  pd-deken-apt,
+ tcl-tls,
  tcllib,
- tcl-tls,
-Suggests: deken
+Suggests:
+ deken,
 Description: Externals wrangler for Pure Data
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .
@@ -41,8 +44,9 @@
 Package: pd-deken-apt
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
- puredata-gui (>= 0.47) | pd-deken,
+Depends:
+ puredata-gui | pd-deken,
+ ${misc:Depends},
 Description: Externals wrangler for Pure Data (APT backend)
  deken is a simple and easy to use package manager for Pure Data (Pd).
  .
@@ -56,15 +60,18 @@
 Package: deken
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
- python3-hy (>= 0.17),
+Depends:
+ curl,
  python3-easywebdav,
  python3-gnupg,
+# python3-hy (>= 0.17),
  python3-keyring,
  python3-macholib,
  python3-pefile,
  python3-pyelftools,
  python3-requests,
+ python3-virtualenv,
+ ${misc:Depends},
 Recommends:
  pd-deken,
 Description: Externals wrangler for Pure Data - upload utility

## deken 0.9.4

=== developer/requirements.txt ===
hy~=1.0a4
easywebdav2~=1.3
keyring~=23.5
macholib~=1.16
pefile~=2021.9
pyelftools~=0.28
python-gnupg~=0.4

=== debian/changelog ===
deken (0.9.4-2) unstable; urgency=medium

  * Add 'licensecheck' target
    * Generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 24 Nov 2022 18:02:30 +0100

deken (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 03 Sep 2022 00:03:47 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

execute_after_dh_auto_build-indep: debian/requirements.txt debian/deken.1

debian/requirements.txt: developer/requirements.txt
	sed -e '/^hy.=/!s/[~=]=.*//' -e '/^pyasn/d' $^ > $@

debian/deken.1:
	-help2man -N -n "Externals wrangler for Pure Data" debian/help2man/deken > $@

execute_after_dh_fixperms:
	find debian/deken/ -type f -name "*.hy" -exec chmod a+x {} \;

execute_after_dh_clean:
	rm -f debian/requirements.txt

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	.*\.gif
# licensecheck v1
.PHONY: licensecheck
licensecheck:
	licensecheck \
		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
		--check '.*' --recursive --deb-machine --lines 0 * \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

## deken 0.9.6

=== developer/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-hy~=1.0a4
+hy~=0.25.0
 easywebdav2~=1.3
 keyring~=23.5
 macholib~=1.16

=== debian/changelog ===
deken (0.9.6-2) unstable; urgency=medium

  * Backport patch for nicer re-install message
    (in case things break catastrophically)
  * Refresh patches with 'gbp pq'

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 07 Feb 2023 09:06:19 +0100

deken (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
    (Closes: #1030623)
  * Backport patch to fix launcher script
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 06 Feb 2023 14:47:35 +0100

deken (0.9.4-3) unstable; urgency=medium

  * Update 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:33:39 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  help2man,
 # hy,
  python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git

=== debian/tests/control ===
Test-Command: deken systeminfo
Restrictions: allow-stderr, superficial
Depends:
 deken,

Test-Command: deken find --arch='*' zexy
Restrictions: allow-stderr
Depends:
 deken,

## deken 0.9.18

=== developer/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-hy~=0.25.0
+hy~=0.28
 easywebdav2~=1.3
 keyring~=23.5
 macholib~=1.16

=== debian/changelog ===
deken (0.9.18-1) unstable; urgency=medium

  * New upstream version 0.9.18

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 18 Mar 2024 17:58:37 +0100

deken (0.9.16-1) unstable; urgency=medium

  * New upstream version 0.9.16

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 12 Dec 2023 15:59:28 +0100

deken (0.9.14-2) unstable; urgency=medium

  * (Build-)Depend on 'hy'
    + now that 'hy' is back in Debian/testing

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 24 Oct 2023 12:08:23 +0200

deken (0.9.14-1) unstable; urgency=medium

  * New upstream version 0.9.14
    + Drop patches applied upstream

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 25 Sep 2023 11:50:54 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  dh-buildinfo,
  help2man,
-# hy,
+ hy,
  python3-setuptools,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -62,15 +62,14 @@
 Multi-Arch: foreign
 Depends:
  curl,
+ hy (>= 0.27),
  python3-easywebdav,
  python3-gnupg,
-# python3-hy (>= 0.17),
  python3-keyring,
  python3-macholib,
  python3-pefile,
  python3-pyelftools,
  python3-requests,
- python3-virtualenv,
  ${misc:Depends},
 Recommends:
  pd-deken,

## deken 0.10.2

=== debian/changelog ===
deken (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * pd-deken-apt
    + Backport patch to properly load plugin
    + Update installation of pd-deken-apt
    + Add python dependencies for pd-deken-apt
  * Update copyright information
    + Bump copyright dates
    + Re-generate d/copyright_hints
  * Apply 'wrap-and-sort -ast'
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 13 Dec 2024 14:06:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
@@ -46,6 +46,8 @@
 Multi-Arch: foreign
 Depends:
  puredata-gui | pd-deken,
+ python3-apt,
+ python3:any,
  ${misc:Depends},
 Description: Externals wrangler for Pure Data (APT backend)
  deken is a simple and easy to use package manager for Pure Data (Pd).

## deken 0.10.4

=== debian/changelog ===
deken (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
    * Drop patches applied upstream
  * Fix lintian-overrides for the 'hy' interpreter
  * Update git repository layout to follow DEP-14
  * Bump standards version to 4.7.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Mar 2025 08:46:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git

## deken 0.10.6

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 dek: deken-plugin-$(plugin_version)--externals.zip
 
 .PHONY: dek deken-plugin
-deken-plugin: deken-plugin.tcl README.plugin.txt LICENSE.txt
+deken-plugin: deken-plugin.tcl README.plugin.txt LICENSE.txt README.deken.pd
 	rm -rf $@
 	mkdir -p $@
 	cp $^ $@

=== developer/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-hy~=0.28
+hy~=1.0
 easywebdav2~=1.3
 keyring~=23.5
 macholib~=1.16

=== debian/changelog ===
deken (0.10.6-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.10.6

  [ Alexandre Detiste ]
  * remove obsolete dh-buildinfo build dependency

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Aug 2025 21:58:37 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-buildinfo,
  help2man,
  hy,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,11 @@
 	rm -f debian/requirements.txt
 
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
-	.*\.gif
+	debian/.*|.*\.gif
 # licensecheck v1
 .PHONY: licensecheck
 licensecheck:
-	licensecheck \
+	LANG=C.UTF-8 licensecheck \
 		-i "^($(DEB_COPYRIGHT_CHECK_IGNORE_REGEX))$$" \
 		--check '.*' --recursive --deb-machine --lines 0 * \
 		> debian/copyright_newhints

=== debian/tests/control ===
Test-Command: deken systeminfo
Restrictions:
 allow-stderr,
 superficial,
Depends:
 deken,

Test-Command: deken find --arch='*' zexy
Restrictions:
 allow-stderr,
Depends:
 deken,

=== debian/watch ===
# process this file with uscan(1)
version=4
opts=dversionmangle=s/~dfsg(\.[0-9]*)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/deken-$1\.tar\.gz/ \
  https://github.com/pure-data/deken/tags .*/v?(\d\S*)\.tar\.gz

## deken 0.10.10

=== developer/requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-hy~=1.0
+hy~=1.2
 easywebdav2~=1.3
 keyring~=23.5
 macholib~=1.16

=== debian/changelog ===
deken (0.10.10-1) unstable; urgency=medium

  * New upstream version 0.10.10
  * Drop obsolete 'Priority: optional' stanza.
  * Drop obsolete Rules-Requires-Root stanza.
  * Update d/watch to version 5
  * Bump standards version to 4.7.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 10 Feb 2026 16:28:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: deken
 Section: sound
-Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
@@ -9,8 +8,7 @@
  help2man,
  hy,
  python3-setuptools,
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/pure-data/deken
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/deken.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/deken

=== debian/watch ===
Version: 5

# process this file with uscan(1)
Template: Github
Owner: pure-data
Project: deken
Dversionmangle: auto
